Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC::Metadata::CueSheet Class Reference
[FLAC++/metadata.h: metadata object classes]

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::CueSheet:

List of all members.

## Detailed Description

CUESHEET metadata block. See the overview for more, and the format specification.

## Public Member Functions
| CueSheet (const CueSheet &object)
| CueSheet (const ::FLAC__StreamMetadata &object)
| CueSheet (const ::FLAC__StreamMetadata *object)
| CueSheet (::FLAC__StreamMetadata *object, bool copy)
CueSheet & | operator= (const CueSheet &object)
CueSheet & | operator= (const ::FLAC__StreamMetadata &object)
CueSheet & | operator= (const ::FLAC__StreamMetadata *object)
CueSheet & | assign (::FLAC__StreamMetadata *object, bool copy)
bool | operator== (const CueSheet &object) const
bool | operator== (const ::FLAC__StreamMetadata &object) const
bool | operator== (const ::FLAC__StreamMetadata *object) const
bool | operator!= (const CueSheet &object) const
bool | operator!= (const ::FLAC__StreamMetadata &object) const
bool | operator!= (const ::FLAC__StreamMetadata *object) const
const char * | get_media_catalog_number () const
FLAC__uint64 | get_lead_in () const
bool | get_is_cd () const
unsigned | get_num_tracks () const
Track | get_track (unsigned i) const
void | set_media_catalog_number (const char value[128])
void | set_lead_in (FLAC__uint64 value)
void | set_is_cd (bool value)
void | set_index (unsigned track_num, unsigned index_num, const ::FLAC__StreamMetadata_CueSheet_Index &index)
bool | insert_index (unsigned track_num, unsigned index_num, const ::FLAC__StreamMetadata_CueSheet_Index &index)
bool | delete_index (unsigned track_num, unsigned index_num)
bool | set_track (unsigned i, const Track &track)
bool | insert_track (unsigned i, const Track &track)
bool | delete_track (unsigned i)
bool | is_legal (bool check_cd_da_subset=false, const char **violation=0) const
FLAC__uint32 | calculate_cddb_id () const
bool | operator== (const Prototype &) const
bool | operator!= (const Prototype &) const
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
unsigned | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
## Protected Member Functions
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()
## Protected Attributes
::FLAC__StreamMetadata * | object_
## Friends
class | SimpleIterator
class | Iterator
## Classes
class | Track

## Constructor & Destructor Documentation

FLAC::Metadata::CueSheet::CueSheet | ( | const CueSheet & | object | ) | `[inline]`

| Constructs a copy of the given object. This form always performs a deep copy.

FLAC::Metadata::CueSheet::CueSheet | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Constructs an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

## Member Function Documentation

CueSheet& FLAC::Metadata::CueSheet::operator= | ( | const CueSheet & | object | ) | `[inline]`

| Assign from another object. Always performs a deep copy.

CueSheet& FLAC::Metadata::CueSheet::assign | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[inline]`

| Assigns an object with copy control. See Prototype::assign_object(::FLAC__StreamMetadata *object, bool copy).

bool FLAC::Metadata::CueSheet::operator== | ( | const CueSheet & | object | ) | const`[inline]`

| Check for equality, performing a deep compare by following pointers.

bool FLAC::Metadata::CueSheet::operator!= | ( | const CueSheet & | object | ) | const`[inline]`

| Check for inequality, performing a deep compare by following pointers.

bool FLAC::Metadata::CueSheet::insert_index | ( | unsigned | track_num,
|  | unsigned | index_num,
|  | const ::FLAC__StreamMetadata_CueSheet_Index & | index
| ) |

| See FLAC__metadata_object_cuesheet_track_insert_index().

bool FLAC::Metadata::CueSheet::delete_index | ( | unsigned | track_num,
|  | unsigned | index_num
| ) |

| See FLAC__metadata_object_cuesheet_track_delete_index().

bool FLAC::Metadata::CueSheet::set_track | ( | unsigned | i,
|  | const Track & | track
| ) |

| See FLAC__metadata_object_cuesheet_set_track().

bool FLAC::Metadata::CueSheet::insert_track | ( | unsigned | i,
|  | const Track & | track
| ) |

| See FLAC__metadata_object_cuesheet_insert_track().

bool FLAC::Metadata::CueSheet::delete_track | ( | unsigned | i | ) |

| See FLAC__metadata_object_cuesheet_delete_track().

bool FLAC::Metadata::CueSheet::is_legal | ( | bool | check_cd_da_subset = `false`,
|  | const char ** | violation = `0`
| ) | const

| See FLAC__metadata_object_cuesheet_is_legal().

FLAC__uint32 FLAC::Metadata::CueSheet::calculate_cddb_id | ( |  | ) | const

| See FLAC__metadata_object_cuesheet_calculate_cddb_id().

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) | `[protected, inherited]`

| Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) | `[protected, virtual, inherited]`

| Deletes the underlying FLAC__StreamMetadata object.

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const`[inherited]`

  | Returns `true` if this block is the last block in a stream, else `false`. Assertions:
       is_valid()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const`[inherited]`

  | Returns the type of the block. Assertions:
       is_valid()
Reimplemented in FLAC::Metadata::Picture.

unsigned FLAC::Metadata::Prototype::get_length | ( |  | ) | const`[inherited]`

  | Returns the stream length of the metadata block. Note: The length does not include the metadata block header, per spec. Assertions:
       is_valid()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) | `[inherited]`

  | Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you. Assertions:
       is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |